Bug 443571 - Conduit Crash because that could not find FIREFOX LIBRARIES
Conduit Crash because that could not find FIREFOX LIBRARIES
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: conduit (Show other bugs)
9
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: Bernard Johnson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-22 04:53 EDT by Christian Langrock
Modified: 2008-08-21 13:53 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-08-21 13:53:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
output from terminal (16.57 KB, text/plain)
2008-04-22 04:53 EDT, Christian Langrock
no flags Details
Eroor on starting conduit (3.52 KB, application/octet-stream)
2008-05-28 10:27 EDT, Peter Janakiev
no flags Details

  None (edit)
Description Christian Langrock 2008-04-22 04:53:19 EDT
Description of problem:
Conduit crash when it use HELP -> Developers -> 
Only on x64_86.

Version-Release number of selected component (if applicable):
0.3.8-1.fc9

Steps to Reproduce:
1. start conduit
2. use the online help

Actual results:

ls: Zugriff auf /usr/lib/firefox* nicht möglich: Datei oder Verzeichnis nicht 
gefunden
WARNING: COULD NOT FIND FIREFOX LIBRARIES
Comment 1 Christian Langrock 2008-04-22 04:53:19 EDT
Created attachment 303290 [details]
output from terminal
Comment 2 Christian Langrock 2008-04-22 05:03:30 EDT
Comment on attachment 303290 [details]
output from terminal

><?xml version="1.0"?><html><head/><body><pre>bash-3.2$ conduit
>ls: Zugriff auf /usr/lib/firefox* nicht möglich: Datei oder Verzeichnis nicht gefunden
>WARNING: COULD NOT FIND FIREFOX LIBRARIES
>WARNING: CONDUIT MAY CRASH UNEXPECTEDLY
>WARNING: PLEASE TALK TO THE PERSON WHO PACKAGED CONDUIT
>[Main                ][INFO   ] Conduit v0.3.8 Installed: True (Main.py:79)
>[Main                ][INFO   ] Using UI: gtk (Main.py:80)
>[Module              ][DEBUG  ] Reading directory /usr/lib/python2.5/site-packages/conduit/modules (Module.py:103)
>[Module              ][DEBUG  ] Reading directory /home/Christian/.conduit/modules (Module.py:103)
>[Module              ][DEBUG  ] Reading directory /usr/lib/python2.5/site-packages/conduit/modules/BackpackModule (Module.py:103)
>[Module              ][DEBUG  ] Reading directory /usr/lib/python2.5/site-packages/conduit/modules/FileModule (Module.py:103)
>[Module              ][DEBUG  ] Reading directory /usr/lib/python2.5/site-packages/conduit/modules/BoxDotNetModule (Module.py:103)
>[Module              ][DEBUG  ] Reading directory /usr/lib/python2.5/site-packages/conduit/modules/FacebookModule (Module.py:103)
>[Module              ][DEBUG  ] Reading directory /usr/lib/python2.5/site-packages/conduit/modules/GmailModule (Module.py:103)
>[Module              ][DEBUG  ] Reading directory /usr/lib/python2.5/site-packages/conduit/modules/BansheeModule (Module.py:103)
>[Module              ][DEBUG  ] Reading directory /usr/lib/python2.5/site-packages/conduit/modules/FlickrModule (Module.py:103)
>[Module              ][DEBUG  ] Reading directory /usr/lib/python2.5/site-packages/conduit/modules/EvolutionModule (Module.py:103)
>[Module              ][DEBUG  ] Reading directory /usr/lib/python2.5/site-packages/conduit/modules/FeedModule (Module.py:103)
>[Module              ][DEBUG  ] Reading directory /usr/lib/python2.5/site-packages/conduit/modules/GConfModule (Module.py:103)
>[Module              ][DEBUG  ] Reading directory /usr/lib/python2.5/site-packages/conduit/modules/FspotModule (Module.py:103)
>[Module              ][DEBUG  ] Reading directory /usr/lib/python2.5/site-packages/conduit/modules/RhythmboxModule (Module.py:103)
>[Module              ][DEBUG  ] Reading directory /usr/lib/python2.5/site-packages/conduit/modules/SmugMugModule (Module.py:103)
>[Module              ][DEBUG  ] Reading directory /usr/lib/python2.5/site-packages/conduit/modules/N800Module (Module.py:103)
>[Module              ][DEBUG  ] Reading directory /usr/lib/python2.5/site-packages/conduit/modules/ShutterflyModule (Module.py:103)
>[Module              ][DEBUG  ] Reading directory /usr/lib/python2.5/site-packages/conduit/modules/NetworkModule (Module.py:103)
>[Module              ][DEBUG  ] Reading directory /usr/lib/python2.5/site-packages/conduit/modules/GoogleModule (Module.py:103)
>[dataproviders.SimpleFactory][INFO   ] HAL Initialized (VolumeFactory.py:25)
>[Utils               ][DEBUG  ] Adding /usr/lib/python2.5/site-packages/conduit/modules/BackpackModule/backpack to python path (Utils.py:117)
>[Utils               ][DEBUG  ] Adding /usr/lib/python2.5/site-packages/conduit/modules/BoxDotNetModule/BoxDotNetAPI to python path (Utils.py:117)
>[Utils               ][DEBUG  ] Adding /usr/lib/python2.5/site-packages/conduit/modules/FacebookModule to python path (Utils.py:117)
>[Utils               ][DEBUG  ] Adding /usr/lib/python2.5/site-packages/conduit/modules/GmailModule/libgmail to python path (Utils.py:117)
>[Utils               ][DEBUG  ] Adding /usr/lib/python2.5/site-packages/conduit/modules/FlickrModule to python path (Utils.py:117)
>[Utils               ][DEBUG  ] Adding /usr/lib/python2.5/site-packages/conduit/modules/SmugMugModule/SmugMugAPI to python path (Utils.py:117)
>[dataproviders.SimpleFactory][INFO   ] HAL Initialized (VolumeFactory.py:25)
>[Utils               ][DEBUG  ] Adding /usr/lib/python2.5/site-packages/conduit/modules/ShutterflyModule/shutterfly to python path (Utils.py:117)
>[Utils               ][DEBUG  ] Adding /usr/lib/python2.5/site-packages/conduit/modules/NetworkModule to python path (Utils.py:117)
>[modules.Network     ][DEBUG  ] Starting AvahiAdvertiser server (Server.py:35)
>[modules.Network     ][DEBUG  ] Announcing avahi conduit service (Peers.py:158)
>[Utils               ][DEBUG  ] Adding /usr/lib/python2.5/site-packages/conduit/modules/GoogleModule to python path (Utils.py:117)
>[Module              ][DEBUG  ] Returning new instance: Classname=ContactConverter Initargs=() (Module.py:239)
>[Module              ][DEBUG  ] Returning new instance: Classname=PixbufPhotoConverter Initargs=() (Module.py:239)
>[Module              ][DEBUG  ] Returning new instance: Classname=FileConverter Initargs=() (Module.py:239)
>[Module              ][DEBUG  ] Returning new instance: Classname=TomboyNoteConverter Initargs=() (Module.py:239)
>[Module              ][DEBUG  ] Returning new instance: Classname=EmailConverter Initargs=() (Module.py:239)
>[Module              ][DEBUG  ] Returning new instance: Classname=AudioVideoConverter Initargs=() (Module.py:239)
>[Module              ][DEBUG  ] Returning new instance: Classname=SettingConverter Initargs=() (Module.py:239)
>[Module              ][DEBUG  ] Returning new instance: Classname=NoteConverter Initargs=() (Module.py:239)
>[Module              ][DEBUG  ] Returning new instance: Classname=EventConverter Initargs=() (Module.py:239)
>[gtkui.UI            ][DEBUG  ] Adding /usr/share/conduit to icon theme search path (UI.py:66)
>[gtkui.UI            ][DEBUG  ] Adding /usr/lib/python2.5/site-packages/conduit/modules to icon theme search path (UI.py:66)
>[gtkui.UI            ][DEBUG  ] Adding /usr/share/conduit/icons to icon theme search path (UI.py:66)
>[gtkui.UI            ][DEBUG  ] Adding /home/Christian/.conduit/modules to icon theme search path (UI.py:66)
>[gtkui.Tree          ][DEBUG  ] Adding DataProvider Wrapper: Gmail Contacts source (UID: GmailContactSource-None) to TreeModel (Tree.py:102)
>[gtkui.Tree          ][DEBUG  ] Creating Category <conduit.dataproviders.DataProviderCategory.DataProviderCategory instance at 0x7f87339079e0> (Tree.py:106)
>[gtkui.Tree          ][DEBUG  ] Adding DataProvider Wrapper: Rhythmbox Music source (UID: RhythmboxSource-None) to TreeModel (Tree.py:102)
>[gtkui.Tree          ][DEBUG  ] Creating Category <conduit.dataproviders.DataProviderCategory.DataProviderCategory instance at 0x7f87337f35a8> (Tree.py:106)
>[gtkui.Tree          ][DEBUG  ] Adding DataProvider Wrapper: YouTube source (UID: YouTubeSource-None) to TreeModel (Tree.py:102)
>[gtkui.Tree          ][DEBUG  ] Creating Category <conduit.dataproviders.DataProviderCategory.DataProviderCategory instance at 0x7f8733914ab8> (Tree.py:106)
>[gtkui.Tree          ][DEBUG  ] Adding DataProvider Wrapper: RSS Feed source (UID: RSSSource-None) to TreeModel (Tree.py:102)
>[gtkui.Tree          ][DEBUG  ] Adding DataProvider Wrapper: Banshee Playlists source (UID: BansheeSource-None) to TreeModel (Tree.py:102)
>[gtkui.Tree          ][DEBUG  ] Adding DataProvider Wrapper: Files source (UID: FileSource-None) to TreeModel (Tree.py:102)
>[gtkui.Tree          ][DEBUG  ] Creating Category <conduit.dataproviders.DataProviderCategory.DataProviderCategory instance at 0x7f8733907560> (Tree.py:106)
>[gtkui.Tree          ][DEBUG  ] Adding DataProvider Wrapper: Backpack Notes sink (UID: BackpackNoteSink-None) to TreeModel (Tree.py:102)
>[gtkui.Tree          ][DEBUG  ] Creating Category <conduit.dataproviders.DataProviderCategory.DataProviderCategory instance at 0x7f8733907488> (Tree.py:106)
>[gtkui.Tree          ][DEBUG  ] Adding DataProvider Wrapper: Shutterfly sink (UID: ShutterflySink-None) to TreeModel (Tree.py:102)
>[gtkui.Tree          ][DEBUG  ] Creating Category <conduit.dataproviders.DataProviderCategory.DataProviderCategory instance at 0x7f8733907758> (Tree.py:106)
>[gtkui.Tree          ][DEBUG  ] Adding DataProvider Wrapper: Facebook sink (UID: FacebookSink-None) to TreeModel (Tree.py:102)
>[gtkui.Tree          ][DEBUG  ] Adding DataProvider Wrapper: Tomboy Notes twoway (UID: TomboyNoteTwoWay-None) to TreeModel (Tree.py:102)
>[gtkui.Tree          ][DEBUG  ] Adding DataProvider Wrapper: Picasa twoway (UID: PicasaTwoWay-None) to TreeModel (Tree.py:102)
>[gtkui.Tree          ][DEBUG  ] Adding DataProvider Wrapper: Box.net twoway (UID: BoxDotNetTwoWay-None) to TreeModel (Tree.py:102)
>[gtkui.Tree          ][DEBUG  ] Adding DataProvider Wrapper: Google Calendar twoway (UID: GoogleCalendarTwoWay-None) to TreeModel (Tree.py:102)
>[gtkui.Tree          ][DEBUG  ] Adding DataProvider Wrapper: Network twoway (UID: NetworkEndpoint-None) to TreeModel (Tree.py:102)
>[gtkui.Tree          ][DEBUG  ] Adding DataProvider Wrapper: F-Spot Photos twoway (UID: FSpotDbusTwoWay-None) to TreeModel (Tree.py:102)
>[gtkui.Tree          ][DEBUG  ] Adding DataProvider Wrapper: Folder twoway (UID: FolderTwoWay-None) to TreeModel (Tree.py:102)
>[gtkui.Tree          ][DEBUG  ] Adding DataProvider Wrapper: Gmail Emails twoway (UID: GmailEmailTwoWay-None) to TreeModel (Tree.py:102)
>[gtkui.Tree          ][DEBUG  ] Adding DataProvider Wrapper: SmugMug twoway (UID: SmugMugTwoWay-None) to TreeModel (Tree.py:102)
>[gtkui.Tree          ][DEBUG  ] Adding DataProvider Wrapper: GConf Settings twoway (UID: GConfTwoWay-None) to TreeModel (Tree.py:102)
>[gtkui.Tree          ][DEBUG  ] Adding DataProvider Wrapper: Flickr twoway (UID: FlickrTwoWay-None) to TreeModel (Tree.py:102)
>[SyncSet             ][INFO   ] Restoring Sync Set from /home/Christian/.conduit/settings-dev.xml (SyncSet.py:180)
>[Conduit             ][DEBUG  ] Setting conflict policy: ask (Conduit.py:278)
>[Conduit             ][DEBUG  ] Setting deleted policy: ask (Conduit.py:278)
>[Conduit             ][DEBUG  ] Setting conflict policy: ask (Conduit.py:278)
>[Conduit             ][DEBUG  ] Setting deleted policy: ask (Conduit.py:278)
>[SyncSet             ][DEBUG  ] Restoring GoogleCalendarTwoWay to (source=False) (SyncSet.py:56)
>[Module              ][DEBUG  ] Returning new instance: Classname=GoogleCalendarTwoWay Initargs=() (Module.py:239)
>[dataproviders.DataProvider][DEBUG  ] Read Setting: Name=username Value=********* Type=<type 'str'> (DataProvider.py:298)
>[dataproviders.DataProvider][DEBUG  ] Read Setting: Name=selectedCalendarURI Value=********** Type=<type 'str'> (DataProvider.py:298)
>[dataproviders.DataProvider][DEBUG  ] Read Setting: Name=password Value=****** Type=<type 'str'> (DataProvider.py:298)
>[dataproviders.DataProvider][DEBUG  ] Read Setting: Name=selectedCalendarName Value=********* Type=<type 'str'> (DataProvider.py:298)
>[Conduit             ][DEBUG  ] Adding twoway dataprovider into sink position (Conduit.py:140)
>[Conduit             ][DEBUG  ] Setting conflict policy: ask (Conduit.py:278)
>[Conduit             ][DEBUG  ] Setting deleted policy: ask (Conduit.py:278)
>[Conduit             ][DEBUG  ] Setting conflict policy: ask (Conduit.py:278)
>[Conduit             ][DEBUG  ] Setting deleted policy: ask (Conduit.py:278)
>[SyncSet             ][DEBUG  ] Restoring NetworkEndpoint to (source=False) (SyncSet.py:56)
>[Module              ][DEBUG  ] Returning new instance: Classname=NetworkEndpoint Initargs=() (Module.py:239)
>[dataproviders.DataProvider][DEBUG  ] set_configuration() not overridden by derived class Network (DataProvider.py:260)
>[Conduit             ][DEBUG  ] Adding twoway dataprovider into sink position (Conduit.py:140)
>[Conduit             ][DEBUG  ] Setting conflict policy: ask (Conduit.py:278)
>[Conduit             ][DEBUG  ] Setting deleted policy: ask (Conduit.py:278)
>[Conduit             ][DEBUG  ] Setting conflict policy: ask (Conduit.py:278)
>[Conduit             ][DEBUG  ] Setting deleted policy: ask (Conduit.py:278)
>[SyncSet             ][DEBUG  ] Restoring GmailEmailTwoWay to (source=True) (SyncSet.py:56)
>[Module              ][DEBUG  ] Returning new instance: Classname=GmailEmailTwoWay Initargs=() (Module.py:239)
>[dataproviders.DataProvider][DEBUG  ] Read Setting: Name=username Value=******** Type=<type 'str'> (DataProvider.py:298)
>[dataproviders.DataProvider][DEBUG  ] Read Setting: Name=getUnreadEmail Value=False Type=<type 'bool'> (DataProvider.py:298)
>[dataproviders.DataProvider][DEBUG  ] Read Setting: Name=getInFolder Value=inbox Type=<type 'str'> (DataProvider.py:298)
>[dataproviders.DataProvider][DEBUG  ] Read Setting: Name=password Value=******* Type=<type 'str'> (DataProvider.py:298)
>[dataproviders.DataProvider][DEBUG  ] Read Setting: Name=getAllEmail Value=False Type=<type 'bool'> (DataProvider.py:298)
>[dataproviders.DataProvider][DEBUG  ] set_configuration() not overridden by derived class Gmail Emails (DataProvider.py:260)
>[dataproviders.DataProvider][DEBUG  ] Setting username to ********* (DataProvider.py:265)
>[dataproviders.DataProvider][DEBUG  ] Setting password to ********* (DataProvider.py:265)
>[dataproviders.DataProvider][DEBUG  ] Setting getAllEmail to False (DataProvider.py:265)
>[dataproviders.DataProvider][DEBUG  ] Setting getUnreadEmail to False (DataProvider.py:265)
>[dataproviders.DataProvider][DEBUG  ] Setting getInFolder to inbox (DataProvider.py:265)
>[Conduit             ][DEBUG  ] Adding twoway dataprovider into source position (Conduit.py:137)
>[Conduit             ][DEBUG  ] Setting conflict policy: ask (Conduit.py:278)
>[Conduit             ][DEBUG  ] Setting deleted policy: ask (Conduit.py:278)
>[Conduit             ][DEBUG  ] Setting conflict policy: ask (Conduit.py:278)
>[Conduit             ][DEBUG  ] Setting deleted policy: ask (Conduit.py:278)
>[Conduit             ][DEBUG  ] Setting conflict policy: ask (Conduit.py:278)
>[Conduit             ][DEBUG  ] Setting deleted policy: ask (Conduit.py:278)
>[Conduit             ][DEBUG  ] Setting conflict policy: ask (Conduit.py:278)
>[Conduit             ][DEBUG  ] Setting deleted policy: ask (Conduit.py:278)
>[SyncSet             ][DEBUG  ] Restoring GmailContactSource to (source=True) (SyncSet.py:56)
>[Module              ][DEBUG  ] Returning new instance: Classname=GmailContactSource Initargs=() (Module.py:239)
>[dataproviders.DataProvider][DEBUG  ] Read Setting: Name=username Value=********* Type=<type 'str'> (DataProvider.py:298)
>[dataproviders.DataProvider][DEBUG  ] Read Setting: Name=password Value=********* Type=<type 'str'> (DataProvider.py:298)
>[dataproviders.DataProvider][DEBUG  ] set_configuration() not overridden by derived class Gmail Contacts (DataProvider.py:260)
>[dataproviders.DataProvider][DEBUG  ] Setting username to ********* (DataProvider.py:265)
>[dataproviders.DataProvider][DEBUG  ] Setting password to ********* (DataProvider.py:265)
>[gtkui.Canvas        ][DEBUG  ] Overlap: 1.5 0 ----> 1 (Canvas.py:323)
>[gtkui.Canvas        ][DEBUG  ] Overlap: 0.0 0 ----> 1 (Canvas.py:323)
>[gtkui.Canvas        ][DEBUG  ] Overlap: 1.5 1 ----> 2 (Canvas.py:323)
>[gtkui.Canvas        ][DEBUG  ] Overlap: 0.0 0 ----> 1 (Canvas.py:323)
>[gtkui.Canvas        ][DEBUG  ] Overlap: 0.0 1 ----> 2 (Canvas.py:323)
>[gtkui.Canvas        ][DEBUG  ] Overlap: 1.5 2 ----> 3 (Canvas.py:323)
>[gtkui.Canvas        ][DEBUG  ] Overlap: 0.0 3 ----> 4 (Canvas.py:323)
>[gtkui.UI            ][DEBUG  ] Presenting GUI (UI.py:191)
>[ModuleWrapper       ][WARNING] Could not load icon applications-media for Media (ModuleWrapper.py:136)
>[DBus                ][DEBUG  ] DBus Exported: / (DBus.py:126)
>[DBus                ][DEBUG  ] DBus Exported: /syncset/gui (DBus.py:126)
>[DBus                ][DEBUG  ] DBus Exported: /syncset/dbus (DBus.py:126)
>[modules.Network     ][DEBUG  ] Resolved conduit service Miraculix on Miraculix.local - 192.168.2.106:3400
>Extra Info: ['version=0.3.8'] (Peers.py:242)
>[modules.Network     ][DEBUG  ] Remote host 'http://Miraculix.local' detected (Client.py:49)
>[modules.Network     ][DEBUG  ] Resolved conduit service Miraculix on Miraculix.local - 172.16.38.1:3400
>Extra Info: ['version=0.3.8'] (Peers.py:242)
>[modules.Network     ][DEBUG  ] Remote host 'http://Miraculix.local' detected (Client.py:49)
>[modules.Network     ][DEBUG  ] Resolved conduit service Miraculix on Miraculix.local - 192.168.141.1:3400
>Extra Info: ['version=0.3.8'] (Peers.py:242)
>[modules.Network     ][DEBUG  ] Remote host 'http://Miraculix.local' detected (Client.py:49)
>[DBus                ][DEBUG  ] DBus Message from /syncset/gui: Emmiting DBus signal ConduitAdded (DBus.py:132)
>[DBus                ][DEBUG  ] DBus Message from /syncset/gui: Emmiting DBus signal ConduitAdded (DBus.py:132)
>[DBus                ][DEBUG  ] DBus Message from /syncset/gui: Emmiting DBus signal ConduitAdded (DBus.py:132)
>[DBus                ][DEBUG  ] DBus Message from /syncset/gui: Emmiting DBus signal ConduitAdded (DBus.py:132)
>[DBus                ][DEBUG  ] DBus Message from /syncset/gui: Emmiting DBus signal ConduitAdded (DBus.py:132)
>[Web                 ][INFO   ] Logging in using browser: gtkmozembed (Web.py:317)
>[Web                 ][DEBUG  ] LOGIN (thread: 1122416976) (Web.py:282)
>[Web                 ][DEBUG  ] CREATE PAGE: http://www.conduit-project.org/wiki/Development (thread: 140218743391984) (Web.py:218)
>bash-3.2$
Comment 3 Bug Zapper 2008-05-14 05:55:36 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Peter Janakiev 2008-05-28 10:27:59 EDT
Created attachment 306935 [details]
Eroor on starting conduit

I can confirm the same issue here, condiut fails with this output (see
attachment)
Comment 5 Bernard Johnson 2008-07-10 21:42:16 EDT
Is this resolved with the 0.3.11.1-1 update?
Comment 6 David Nalley 2008-08-21 13:53:36 EDT
The information we've requested above is required in order
to review this problem report further and diagnose or fix the
issue if it is still present.  Since it has been thirty days or
more since we first requested additional information, we're assuming
the problem is either no longer present in the current Fedora release, or
that there is no longer any interest in tracking the problem.

Setting status to "CLOSED INSUFFICIENT_DATA".  If you still
experience this problem after updating to our latest Fedora
release and can provide the information previously requested,
please feel free to reopen the bug report.

Thank you in advance.

Note You need to log in before you can comment on or make changes to this bug.